## ros-melodic-app-manager 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(app_manager)
find_package(catkin REQUIRED COMPONENTS
  message_generation
  message_runtime
  rosgraph
  roslaunch
  rospy
  rosunit
  std_msgs
  )

catkin_python_setup()

add_message_files(
    FILES
    AppList.msg
    ClientApp.msg
    AppInstallationState.msg
    App.msg
    KeyValue.msg
    AppStatus.msg
    ExchangeApp.msg
    Icon.msg
    StatusCodes.msg
)
add_service_files(
    FILES
    GetAppDetails.srv
    ListApps.srv
    UninstallApp.srv
    InstallApp.srv
    GetInstallationState.srv
    StartApp.srv
    StopApp.srv
)


generate_messages(
    DEPENDENCIES std_msgs
)

catkin_package(
    CATKIN_DEPENDS rospy roslaunch rosgraph rosunit
)


install(PROGRAMS bin/rosget bin/appmaster
 DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch scripts test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/test_app.py)
  catkin_add_nosetests(test/test_app_list.py)
endif()

=== debian/changelog ===
ros-melodic-app-manager (1.1.1-1stretch) stretch; urgency=high

  * use python3.5 for travis (#18 <https://github.com/pr2/app_manager/issues/18>)
  * use app_manager/example-min (#15 <https://github.com/pr2/app_manager/issues/15>)
    
      * example-min.launch location changed due to https://github.com/PR2/app_manager/pull/15
      * use app_manager/example-min, since talker.py was removed from rospy in melodic https://github.com/ros/ros_comm/pull/1847
    
  * update document (#14 <https://github.com/pr2/app_manager/issues/14>)
    
      * Add more info for how to start apps, closes https://github.com/PR2/app_manager/issues/13
    
  * Fix travis (#16 <https://github.com/pr2/app_manager/issues/16>)
    
      * fix workspace name due to ros-infrastructure/ros_buildfarm#577 <https://github.com/ros-infrastructure/ros_buildfarm/issues/577>
    
  * install launch directory (#9 <https://github.com/pr2/app_manager/issues/9>)
  * add run_depend of app_manager in README.md (#11 <https://github.com/pr2/app_manager/issues/11>)
  * update travis.yml (#10 <https://github.com/pr2/app_manager/issues/10>)
    
      * add empty applist0 directory
        c.f. https://stackoverflow.com/questions/115983/how-can-i-add-an-empty-directory-to-a-git-repository
      * calling self._load() and updating self._file_mtime are never happens, since self.update() is removed in https://github.com/PR2/app_manager/pull/7/files#diff-a8d7b30ba0e424e10aa794dec1928181L98
      * revert code from #7 <https://github.com/pr2/app_manager/issues/7>, which wrongly removed invalid_installed_files
      * example-min.launch file has been moved to subdir since 2012
        
        https://github.com/ros/ros_comm/commit/964da45c6959bf9c2bde8680c69d1ab36e3770b1#diff-03b2e74d781fea8d7240c1fdd29a41a9
    
  * Contributors: Kei Okada, Shingo Kitagawa, Takayuki Murooka, Yuki Furuta

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 12 Apr 2020 15:00:00 -0000

ros-melodic-app-manager (1.1.0-1stretch) stretch; urgency=high

  * Support loading installed apps from export tags (#7 <https://github.com/PR2/app_manager//issues/7>)
    * app_manager: add reload_app_list service to dynamically reload apps
    * filter apps by robot platform
    * add support for loading app directories from plugins
  * Cleanup unused files (#6 <https://github.com/PR2/app_manager//issues/6>)
  * Contributors: Yuki Furuta

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 28 Aug 2018 15:00:00 -0000

ros-melodic-app-manager (1.0.5-1stretch) stretch; urgency=high

  * Merge pull request #5 <https://github.com/pr2/app_manager/issues/5> from k-okada/orp
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-melodic-app-manager (1.0.3-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-melodic-app-manager (1.0.2-1stretch) stretch; urgency=high

  * changelogs
  * Fixed installs on app_manager
  * Contributors: TheDash
  * Fixed installs on app_manager
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 13 Oct 2014 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-app-manager
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-rosgraph, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-rosunit
Homepage: http://ros.org/wiki/app_manager
Standards-Version: 3.9.2

Package: ros-melodic-app-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rosgraph, ros-melodic-roslaunch, ros-melodic-rospack, ros-melodic-rospy, ros-melodic-rosunit, ros-melodic-std-srvs
Description: app_manager

## ros-melodic-app-manager 1.3.0

=== debian/changelog ===
ros-melodic-app-manager (1.3.0-1bionic) bionic; urgency=high

  * update setuptools to follow noetic migration guide (#36 <https://github.com/pr2/app_manager/issues/36>)
  * app_manager cannot start app after failing app #42  (#42 <https://github.com/pr2/app_manager/issues/42>)
    
      * set current_app None when start failed
      * add test_start_fail.test
      * need catch error on _stop_current()
      * add test_start_fail.test
        test to check #42 <https://github.com/pr2/app_manager/issues/42>, app_manager cannot start app after failing app
    
  * add test to check if we forget catkin_install_python (#44 <https://github.com/pr2/app_manager/issues/44>)
    
      * call app_manager/appA with python2/python3 with ROS_PYTHON_VERSION
      * use catkin_install_python for noetic
      * add test to check if we forget to use catkin_install_python
    
  * add_rostest(test/test_plugin.test) (#45 <https://github.com/pr2/app_manager/issues/45>)
    
      * run rosdep install in devel_create_tasks.Dockerfile
      * update to format3 and install python-rosdep
      * use port 11313 for app_manager in test_plugin.test
      * add_rostest(test/test_plugin.test)
    
  * add more test code (#41 <https://github.com/pr2/app_manager/issues/41>
    
      * show more error messages
      * default return value of plugin_order must be list
      * plugins: 'launch_args', 'plugin_args', 'start_plugin_args', 'stop_plugin_args' must be dict, not list
      * test_plugin: add test to check plugins
      * use list(self.subs.items()) instead of self.subs.items()
      * Error processing request: '>' not supported between instances of 'NoneType' and 'int'
      * python3: AttributeError: 'dict' object has no attribute 'iteritems'
      * add test for list_apps/stop_app, add test_stop_app.py
      * python3: AttributeError: 'dict' object has no attribute 'iterkeys'
      * add 2to3 in CHECK_PYTHON3_COMPILE
      * add test/test_app.test
      * test/resources/example-moin.launch: use arg launch_prefox to select if we use xterm or not
    
  * add arguments in StartAppRequest (#27 <https://github.com/pr2/app_manager/issues/27>)
    
      * use req.args for launch args in app_manager.py
      * add args in StartApp srv
    
  * do not run stop_app when _stopping is true (#38 <https://github.com/pr2/app_manager/issues/38>)
  * fix travis build (#39 <https://github.com/pr2/app_manager/issues/39>)
    
      * fix typo in .travis.yml
      * run with full path
      * add CHECK_PYTHON2_COMPILE and CHECK_PYTHON3_COMPILE tests
    
  * use plugins as instance / use normal method in app_manager_plugin (#37 <https://github.com/pr2/app_manager/issues/37>)
  * set stopped true in app timeout (#31 <https://github.com/pr2/app_manager/issues/31>)
  * use system python to check python3 compileall (#34 <https://github.com/pr2/app_manager/issues/34>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Nov 2021 15:00:00 -0000

ros-melodic-app-manager (1.2.0-1bionic) bionic; urgency=high

  * Merge pull request #29 <https://github.com/pr2/app_manager/issues/29> from knorth55/add-stopped
  * Merge pull request #28 <https://github.com/pr2/app_manager/issues/28> from knorth55/add-timeout
  * Merge pull request #30 <https://github.com/pr2/app_manager/issues/30> from knorth55/add-all-availables
    add available_apps in all platform apps
  * add available_apps in all platform apps
  * add stopped context in app_manager plugin
  * add timeout field in app file
  * add enable_app_replacement param in app_manager (#26 <https://github.com/pr2/app_manager/issues/26>)
    This allows for both behaviors (replace currently running app or error out) and let's users choose without changing code...
  * add noetic test and also checks python 2/3 compatibility (#24 <https://github.com/pr2/app_manager/issues/24>)
    * add noetic test and also checks python 2/3 compatibility
    * fix to support both python 2/3
    * use rospy.log** instead of print
    Co-authored-by: Shingo Kitagawa <mailto:shingogo@hotmail.co.jp>
  * Add app manager plugin (#25 <https://github.com/pr2/app_manager/issues/25>)
    Enable aspect-oriented modelling, e.g.
    - send a mail when someone starts an app
    - auto-record rosbags during app run
    - auto-upload files on app-close
    ...
    * start plugin launch in app_manager
    * start and stop plugin function
    * pass app in plugin functions
    * add exit_code in stop_plugin_attr
    * stop plugin functions when shutdown is called
    * launch when plugin
    * load plugin launch when it exists
    * use ctx instead of exit_code
    * pass exit_code to ctx
    * add plugins in AppDefinition
    * add _current_plugins and _plugin_context
    * pass launch arguments
    * add plugin_args for app plugins
    * overwrite roslaunch.config.load_config_default for kinetic
    * add __stop_current for shutdown and __stop_current
    * support "module: null" syntax for app definition
    * add app_manager plugin base class
    * refactor scripts/app_manager
    * add start_plugin_args and stop_plugin_args
    * add start_plugin_arg_yaml and stop_plugin_arg_yaml
    * add launch_arg_yaml
    * add plugin_order to set plugin order
    * update readme to add plugin doc
    * update readme to add app definitions
  * fix readme (#23 <https://github.com/pr2/app_manager/issues/23>)
  * add exit_code log in app_manager (#22 <https://github.com/pr2/app_manager/issues/22>)
    add exit_code log in app_manager
    During successful execution, dead_list should always end up empty.
  * add all platform for all robots (#17 <https://github.com/pr2/app_manager/issues/17>)
    add an additional keyword to explicitly support 'all' platforms
  * use rospack to search for app_manager app_dir (#19 <https://github.com/pr2/app_manager/issues/19>)
    * use rospack to search for app_manager app_dir
    * remove unused imports


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-rosgraph, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-rosunit
+Build-Depends: debhelper (>= 9.0.0), python-rosdep, python-setuptools, ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-rosgraph, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-rospy-tutorials, ros-melodic-rosservice, ros-melodic-rostest, ros-melodic-rosunit
 Homepage: http://ros.org/wiki/app_manager
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-app-manager//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
